View Issue Details

IDProjectCategoryView StatusLast Update
0000457OpenFOAM[All Projects] Bugpublic2015-02-10 09:10
Reporterattesz86Assigned Tohenry 
PrioritylowSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000457: adding double grading feature to blockMesh
DescriptionI just want to recommend that a double directional edge grading in blockMesh would be fine. This way it's not necessary to create a lot of blocks.
TagsNo tags attached.

Activities

user258

2012-04-23 12:44

  ~0001281

See also:
http://www.cfd-online.com/Forums/openfoam/70798-blockmesh-double-grading.html
https://code.google.com/p/blockmeshdg/

henry

2015-02-03 12:19

manager   ~0003658

Clearly there is a need for better control of grading in a block and a separation between block topology and the organisation of the cells in the blocks. However the double directional grading proposal is a very specific and limited way of addressing this need and the use of a negative expansion ratio parameter is a bit clunky. I have implemented an alternative and much more general strategy which covers the particular case of double directional grading as well as offering grading in any number of block sub-sections with grading specified per section. For more information see

commit 86d7f7208ad0e8eaa60bca8fc95d7cd15088e25a

in https://github.com/OpenFOAM/OpenFOAM-dev

Issue History

Date Modified Username Field Change
2012-03-10 11:38 attesz86 New Issue
2012-04-23 12:44 user258 Note Added: 0001281
2015-02-03 12:19 henry Note Added: 0003658
2015-02-03 12:19 henry Status new => resolved
2015-02-03 12:19 henry Resolution open => fixed
2015-02-03 12:19 henry Assigned To => henry